#ifndef INCLUDE_MikoVoice_H
#define INCLUDE_MikoVoice_H
/*
===============================================================================
  MikoVoice.h
===============================================================================

	Copyright (C) 2015  Masahiko Watanabe

    Edition History:
      2015-02-24  Version 1.00
      2015-03-18  Version 1.20

-----------------------------------------------------------------------------*/

#include  <windows.h>

#ifdef __cplusplus
#define  DLLAPI  extern "C" __declspec(dllimport)
#else
#define  DLLAPI __declspec(dllimport)
#endif


// f[^󂯎R[obN֐i MikoVoiceOutToBuf() ֐̑Q j
typedef  BOOL (CALLBACK *WAVRECFNC)( LPCVOID, LONG );

// MikoVoice.dll ̃GLX|[g֐
DLLAPI	LONG  __stdcall  MikoVoiceOutSync( LPCWSTR text );
DLLAPI	LONG  __stdcall  MikoVoiceOutAsync( LPCWSTR text, 
								HWND hWnd, UINT Msg, LPARAM lParam );
DLLAPI	LONG  __stdcall  MikoVoiceOutToBuf( LPCWSTR text, WAVRECFNC lpWavRecFnc );
DLLAPI	ULONG __stdcall  MikoVoiceOutPause( ULONG PortBits );
DLLAPI	ULONG __stdcall  MikoVoiceOutRestart( ULONG PortBits );
DLLAPI	ULONG __stdcall  MikoVoiceOutStop( ULONG PortBits );
DLLAPI	LONG  __stdcall  MikoVoiceOutGetStat( LONG PortId );
DLLAPI	LONG  __stdcall  MikoVoiceOutGetVers();

// ̔g`f[^dl
#define	 MVO_WAVE_BITS		16		// rbg^Tv
#define	 MVO_WAVE_FREQ		12000	// TvOg [Hz]
#define	 MVO_WAVE_CHANS		1		// `l

// o̓|[g
#define  MVO_STAT_STOPPED	0		// ~
#define  MVO_STAT_OPENING	1		// 
#define  MVO_STAT_PLAYING	2		// 
#define  MVO_STAT_PAUSING	3		// x~
#define  MVO_STAT_ERROR		(-1)	// G[

// o͍ő|[gi\j
#define  MVO_MAX_POTRS		8

//-----------------------------------------------------------------------------

#endif
